Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Class PointcutPrimitive

    java.lang.Object
      org.aspectj.util.TypeSafeEnum
          org.aspectj.weaver.tools.PointcutPrimitive

    public final class PointcutPrimitive

extends org.aspectj.util.TypeSafeEnum

An enumeration of the different kinds of pointcut primitives supported by AspectJ.

Field Summary
`static PointcutPrimitive` | `ADVICE_EXECUTION`
`static PointcutPrimitive` | `ARGS`
`static PointcutPrimitive` | `AT_ANNOTATION`
`static PointcutPrimitive` | `AT_ARGS`
`static PointcutPrimitive` | `AT_TARGET`
`static PointcutPrimitive` | `AT_THIS`
`static PointcutPrimitive` | `AT_WITHIN`
`static PointcutPrimitive` | `AT_WITHINCODE`
`static PointcutPrimitive` | `CALL`
`static PointcutPrimitive` | `CFLOW`
`static PointcutPrimitive` | `CFLOW_BELOW`
`static PointcutPrimitive` | `EXECUTION`
`static PointcutPrimitive` | `GET`
`static PointcutPrimitive` | `HANDLER`
`static PointcutPrimitive` | `IF`
`static PointcutPrimitive` | `INITIALIZATION`
`static PointcutPrimitive` | `PRE_INITIALIZATION`
`static PointcutPrimitive` | `REFERENCE`
`static PointcutPrimitive` | `SET`
`static PointcutPrimitive` | `STATIC_INITIALIZATION`
`static PointcutPrimitive` | `TARGET`
`static PointcutPrimitive` | `THIS`
`static PointcutPrimitive` | `WITHIN`
`static PointcutPrimitive` | `WITHIN_CODE`

Method Summary

Methods inherited from class org.aspectj.util.TypeSafeEnum
`getKey, getName, toString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CALL

    public static final PointcutPrimitive CALL

### EXECUTION

    public static final PointcutPrimitive EXECUTION

### GET

    public static final PointcutPrimitive GET

### SET

    public static final PointcutPrimitive SET

### INITIALIZATION

    public static final PointcutPrimitive INITIALIZATION

### PRE_INITIALIZATION

    public static final PointcutPrimitive PRE_INITIALIZATION

### STATIC_INITIALIZATION

    public static final PointcutPrimitive STATIC_INITIALIZATION

### HANDLER

    public static final PointcutPrimitive HANDLER

### ADVICE_EXECUTION

    public static final PointcutPrimitive ADVICE_EXECUTION

### WITHIN

    public static final PointcutPrimitive WITHIN

### WITHIN_CODE

    public static final PointcutPrimitive WITHIN_CODE

### CFLOW

    public static final PointcutPrimitive CFLOW

### CFLOW_BELOW

    public static final PointcutPrimitive CFLOW_BELOW

### IF

    public static final PointcutPrimitive IF

### THIS

    public static final PointcutPrimitive THIS

### TARGET

    public static final PointcutPrimitive TARGET

### ARGS

    public static final PointcutPrimitive ARGS

### REFERENCE

    public static final PointcutPrimitive REFERENCE

### AT_ANNOTATION

    public static final PointcutPrimitive AT_ANNOTATION

### AT_THIS

    public static final PointcutPrimitive AT_THIS

### AT_TARGET

    public static final PointcutPrimitive AT_TARGET

### AT_ARGS

    public static final PointcutPrimitive AT_ARGS

### AT_WITHIN

    public static final PointcutPrimitive AT_WITHIN

### AT_WITHINCODE

    public static final PointcutPrimitive AT_WITHINCODE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD